<?php

if (function_exists('register_sidebar'))
{
	
	register_sidebar(
		array(
			'name'          => 'Sidebar1',
	        'before_widget' => '<li id="%1$s" class="widget %2$s">',
    	    'after_widget'  => '<div class="sidebar_btm"></div></li>',
        	'before_title'  => '<h2 class="widgettitle">',
        	'after_title'   => '</h2>'
		)
	);
	
}


function most_commented_posts($no_posts = 5, $before = '<li>', $after = '</li>', $show_pass_post = false, $duration='') {

	global $wpdb;
	$request = "SELECT ID, post_title, COUNT($wpdb->comments.comment_post_ID) AS 'comment_count' FROM $wpdb->posts, $wpdb->comments";
	$request .= " WHERE comment_approved = '1' AND $wpdb->posts.ID=$wpdb->comments.comment_post_ID AND post_status = 'publish'";
	if(!$show_pass_post) $request .= " AND post_password =''";
	if($duration !="") { $request .= " AND DATE_SUB(CURDATE(),INTERVAL ".$duration." DAY) < post_date ";
	}
	$request .= " GROUP BY $wpdb->comments.comment_post_ID ORDER BY comment_count DESC LIMIT $no_posts";
	$posts = $wpdb->get_results($request);
	$output = '';
		if ($posts) {
			foreach ($posts as $post) {
			$post_title = stripslashes($post->post_title);
			$comment_count = $post->comment_count;
			$permalink = get_permalink($post->ID);
			$output .= $before . '<a href="' . $permalink . '" title="' . $post_title.'">' . $post_title . '</a>' . $after;
			}
		} else {
		$output .= $before . "None found" . $after;
		}
	echo $output;
	
}

/******** Share this ***************/

function share_this(){
?>

<div id="sharethis">
	<div>
	<span>Share this</span>
	<ul>
		<li><a href="http://digg.com/submit?phase=2&amp;url=<?php the_permalink();?>" title="Digg this Blog"><img src="<?php bloginfo('template_url');?>/images/digg-ico.gif" alt="Digg" align="absmiddle" /></a></li>
		<li><a href="http://del.icio.us/post?url=<?php the_permalink();?>" title="Add this Blog to del.icio.us!"><img src="<?php bloginfo('template_url');?>/images/delcious-ico.gif" alt="Delicious" align="absmiddle" /></a></li>
		<li><a href="http://twitter.com"><img src="<?php bloginfo('template_url');?>/images/twitter-ico.gif" alt="Twitter" align="absmiddle" /></a></li>
		<li><a href="http://www.stumbleupon.com/submit?url=<?php the_permalink();?>"><img src="<?php bloginfo('template_url');?>/images/stumbleupon-ico.gif" alt="Stumbleupon" align="absmiddle" /></a></li>
		<li><a href="<?php bloginfo('rss_url'); ?>"><img src="<?php bloginfo('template_url');?>/images/rss-ico.gif" alt="RSS Feed" align="absmiddle" /></a></li>
	</ul>
	</div>
</div>	
<div id="clear"></div>
			  
<?
}
?>
